<?php

/**
 * @file
 * Index now hooks related to commerce_product.
 */

use Drupal\commerce_product\Entity\Product;
use Drupal\index_now\CommerceProductOperations;

/**
 * Implements hook_ENTITY_TYPE_insert().
 */
function index_now_commerce_product_insert(Product $commerce_product) {
  return \Drupal::service('class_resolver')
    ->getInstanceFromDefinition(CommerceProductOperations::class)
    ->pingIndexNow($commerce_product);
}

/**
 * Implements hook_ENTITY_TYPE_update().
 */
function index_now_commerce_product_update(Product $commerce_product) {
  return \Drupal::service('class_resolver')
    ->getInstanceFromDefinition(CommerceProductOperations::class)
    ->pingIndexNow($commerce_product);
}

/**
 * Implements hook_ENTITY_TYPE_delete().
 */
function index_now_commerce_product_delete(Product $commerce_product) {
  return \Drupal::service('class_resolver')
    ->getInstanceFromDefinition(CommerceProductOperations::class)
    ->pingIndexNow($commerce_product);
}
